Skip to main content
POST
/
register
Mandant registrieren
curl --request POST \
  --url https://{tenant}.stamp.eu/rest/register \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "company_name": "<string>",
  "subdomain": "<string>",
  "email": "jsmith@example.com",
  "admin_code": "<string>",
  "admin_password": "<string>",
  "admin_password_confirmation": "<string>",
  "admin_name": "<string>",
  "admin_surname": "<string>",
  "timezone": "Europe/Berlin"
}
'
{
  "message": "<string>",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "subdomain": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
company_name
string
required
Maximum string length: 255
subdomain
string
required
Maximum string length: 63
Pattern: ^[a-z0-9-]+$
email
string<email>
required
Maximum string length: 255
admin_code
string
required
Maximum string length: 255
admin_password
string
required
Minimum string length: 8
admin_password_confirmation
string
required
admin_name
string
Maximum string length: 255
admin_surname
string
Maximum string length: 255
timezone
string
Example:

"Europe/Berlin"

Response

Mandant erfolgreich registriert

message
string
tenant_id
string<uuid>
subdomain
string